#!/usr/bin/env python

"""
This is an example of what the localize_time module can do. Just see
how many ways you have of customizing/calling the function.

See license and author contact emails in localize_time.py.
"""

import localize_time, time

if __name__ == "__main__":
   print "This is the standard epoch string: %s" % (localize_time.localize_time())
   print "Now the actual UTC time: %s" % (localize_time.localize_time (time.time()))
   print "What happens for non-existant localizations? Nothing: %s" \
      % (localize_time.localize_time (localization_file = "bengali"))

   print "\nNot much fun, now let's see the localization/customization:\n"
   
   print "Standard epoch in spanish: %s" % (localize_time.localize_time
      (localization_file = "data/spanish"))
   print "Hoy: %s" % (localize_time.localize_time
      (time_in_seconds = time.time(), localization_file = "data/spanish"))
      
   newformat = "%(minute)d minutes and %(hour)d hours to Year of Salvation %(year)06d, %(monthname)s"
   print "\nSome discordian date-alike: %s" % (localize_time.localize_time
      (localization_file = "data/discordian", format = newformat))
   print "...today: %s" % (localize_time.localize_time
      (time.time(), newformat, "data/discordian"))
   print "...fake date: %s" % (localize_time.localize_time
      (time.time() / 10, newformat, "data/discordian"))

